from fastapi import FastAPI, Header
from fastapi.staticfiles import StaticFiles
from starlette.responses import FileResponse

from database.api import db_router
from proxy_switch.login_proxy import login_proxy
from proxy_switch.swarm_switch import switch_router

app = FastAPI()

app.include_router(
    switch_router,
    prefix="/switch",
    tags=["Proxy switch"],
)

app.include_router(
    db_router,
    prefix="/api",
    tags=["Database"],
)

app.add_route("/login{path:path}", login_proxy, ["GET", "POST"])


@app.get("/")
async def index(authorization: str = Header(None)):
    # if authorization is None:
    #     return RedirectResponse(url="/login")
    return FileResponse("frontend/index.html", media_type="text/html; charset=utf-8")


# app.mount("/", StaticFiles(directory="frontend"), name="static")
