from fastapi import HTTPException, status
import node_settings.node_settings as node
from onvif_proxy.camera import Camera


def get_current_cam() -> Camera:
    cam = node.hot_cams.current_camera
    if cam is None:
        raise HTTPException(
            status_code=status.HTTP_503_SERVICE_UNAVAILABLE,
            detail="Current camera is not available.",
        )
    return cam
