#!/bin/sh

# Determine the architecture
architecture=$(uname -m)
if [[ $architecture == "x86_64" ]]; then
    arch="amd64"
elif [[ $architecture == "aarch64" ]]; then
    arch="arm64v8"
elif [[ $architecture == "armv7l" ]]; then
    arch="armv7"
elif [[ $architecture == "armv6l" ]]; then
    arch="armv6"
else
    echo "Architecture $architecture is not supported"
    exit 1
fi

# File URL
url="https://github.com/bluenviron/mediamtx/releases/download/v1.2.1/mediamtx_v1.2.1_linux_$arch.tar.gz"

# Download the file
wget -O mediamtx.tar.gz $url

# Extract the file, excluding mediamtx.yml
tar --exclude=mediamtx.yml -xzf mediamtx.tar.gz

# Remove the downloaded archive
rm mediamtx.tar.gz

echo "File successfully downloaded and extracted to /ptz-proxy/rtsp"