from fastapi import APIRouter

from database import db_connection
from .cam_groups import db_cam_groups_router
from .cams import db_cams_router
from .nodes import db_nodes_router
from .roles import db_roles_router
from .users import db_users_router

db_router = APIRouter()

db_router.include_router(
    db_users_router,
    prefix="/users",
    tags=["Users"]
)

db_router.include_router(
    db_roles_router,
    prefix="/roles",
    tags=["Roles"]
)

db_router.include_router(
    db_cams_router,
    prefix="/cams",
    tags=["Cams"]
)

db_router.include_router(
    db_cam_groups_router,
    prefix="/cam_groups",
    tags=["Cam groups"]
)

db_router.include_router(
    db_nodes_router,
    prefix="/nodes",
    tags=["Nodes"]
)


@db_router.on_event("startup")
async def startup_event():
    await db_connection.create_models()
