from sqlalchemy import Column, Integer, String, ForeignKey, Index, Boolean
from .base import Base


class Node(Base):
    __tablename__ = 'nodes'

    id: Column = Column(Integer, primary_key=True)  # Will make SERIAL
    name: Column = Column(String, unique=True, nullable=False)
    host: Column = Column(String, nullable=False)
    port: Column = Column(Integer, unique=False, nullable=False)
    ssl: Column = Column(Boolean, unique=False, nullable=False)
    rtsp_port: Column = Column(Integer, unique=False, nullable=False)

    __table_args__ = (
        Index('nodes_host_index', 'host', unique=False),
        Index('nodes_host_port_index', 'host', 'port', unique=True),
        Index('nodes_rtsp_host_port_index', 'host', 'port', unique=True),
    )
