from pydantic import BaseModel, ConfigDict
from typing import Optional


class CamBase(BaseModel):
    name: str
    host: str
    port: int


class CamCreate(CamBase):
    username: str
    password: str


# noinspection DuplicatedCode
class CamOut(CamBase):
    id: int


# noinspection DuplicatedCode
class CamFull(CamCreate):
    id: int


class CamUpdate(BaseModel):
    name: Optional[str] = None
    host: Optional[str] = None
    port: Optional[int] = None
    username: Optional[str] = None
    password: Optional[str] = None

    model_config = ConfigDict(from_attributes=True)
