from pydantic import BaseModel, ConfigDict
from typing import Optional


class NodeCreate(BaseModel):
    name: str
    host: str
    port: int
    ssl: bool
    rtsp_port: int


# noinspection DuplicatedCode
class NodeFull(NodeCreate):
    id: int


class NodeUpdate(BaseModel):
    name: Optional[str] = None
    host: Optional[str] = None
    port: Optional[int] = None
    ssl: Optional[bool] = None
    rtsp_port: Optional[int] = None

    model_config = ConfigDict(from_attributes=True)
